Page MenuHomePhabricator

WMHack19: Fixing the date and time format in [se] Northern Saami
Closed, ResolvedPublic

Description

The date and time format need to be in the following format in Northern Saami:

njukčamánu 23. b. 1943 dii. 8.23

Event Timeline

Yupik created this task.May 17 2019, 12:17 PM
Yupik updated the task description. (Show Details)

Change 510868 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/core@master] Define date formats for Northern Sami

https://gerrit.wikimedia.org/r/510868

Should hours <10 have a leading zero or not? Page 10 of the linked document seems to have both:

Skuvla álgá dii. 08.30. (dahje 8.30)

Yupik moved this task from Incoming to In progress on the WMFI board.May 17 2019, 2:34 PM
Yupik moved this task from In progress to Patch for Review on the WMFI board.
Yupik added a comment.May 17 2019, 5:41 PM

Either one. there's another example on p. 23:

Rámburáigi lávvordagaid: 9–13. Dahje: Rabasáigi 09–13.

Any preference? We have to pick one anyways :)

Yupik added a comment.May 17 2019, 6:37 PM

I prefer the one without the leading zero, but it is just a personal preference :)

Yupik moved this task from Incoming to In progress on the WMNO-Sami board.May 18 2019, 12:12 AM

Change 510868 merged by jenkins-bot:
[mediawiki/core@master] Define date formats for Northern Sami

https://gerrit.wikimedia.org/r/510868

Yupik closed this task as Resolved.Jun 1 2019, 10:34 PM
Yupik moved this task from Patch for Review to Done on the WMFI board.
Yupik moved this task from In progress to Done on the WMNO-Sami board.